import { Box, Stack } from "@mui/material";
import { useSettings } from "../../contexts/SettingsContext";
import { Settings } from "../HeaderBar/Settings/Settings";
import { WindowButtons } from "../HeaderBar/WindowButtons";

export const FooterBar = () => {
  // contexts
  const { settings } = useSettings();

  return (
    <Box
      sx={{
        alignItems: "center",
        display: "flex",
        flexDirection: "row",
        height: "66px",
      }}
    >
      <Box
        className="titlebar"
        data-tauri-drag-region="true"
        sx={{
          alignItems: "center",
          backdropFilter: "blur(10px)",
          backgroundColor: "rgba(0, 0, 0, 0.5)",
          borderRadius: settings.style.radius + "px",
          display: "flex",
          flexDirection: "row",
          flexGrow: 1,
          m: 1,
          p: 1,
          width: "100%",
        }}
      >
        <Box
          className="titlebar"
          data-tauri-drag-region="true"
          sx={{
            alignItems: "center",
            display: "flex",
            flexDirection: "row",
          }}
        >
          hello this is the left side
        </Box>
        <Box
          sx={{
            alignItems: "center",
            display: "flex",
            flexDirection: "row",
            flexGrow: 1,
            justifyContent: "center",
          }}
        />
        <Box
          className="titlebar"
          data-tauri-drag-region="true"
          sx={{
            alignItems: "center",
            display: "flex",
            flexDirection: "row",
          }}
        >
          <Stack
            direction="row"
            spacing={2}
            sx={{
              alignItems: "center",
              display: "flex",
              flexDirection: "row",
            }}
          >
            <Settings />
            <WindowButtons />
          </Stack>
        </Box>
      </Box>
    </Box>
  );
};
